| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes
ffmpegkit::Log Class Reference

`#include <Log.h>`

## Public Member Functions
| Log (const long sessionId, const ffmpegkit::Level level, const char *message)
long | getSessionId () const
ffmpegkit::Level | getLevel () const
std::string | getMessage () const

## Private Attributes
long | _sessionId
ffmpegkit::Level | _level
std::string | _message

## Detailed Description

Log entry for an `FFmpegKit` session.

Definition at line 31 of file Log.h.

## Constructor & Destructor Documentation

## ◆ Log()

ffmpegkit::Log::Log | ( | const long | sessionId,
|  | const ffmpegkit::Level | level,
|  | const char * | message
| ) |  |

Definition at line 22 of file Log.cpp.

## Member Function Documentation

## ◆ getLevel()

ffmpegkit::Level ffmpegkit::Log::getLevel | ( |  | ) | const

Definition at line 29 of file Log.cpp.

## ◆ getMessage()

std::string ffmpegkit::Log::getMessage | ( |  | ) | const

Definition at line 33 of file Log.cpp.

## ◆ getSessionId()

long ffmpegkit::Log::getSessionId | ( |  | ) | const

Definition at line 25 of file Log.cpp.

## Field Documentation

## ◆ _level

ffmpegkit::Level ffmpegkit::Log::_level
| private

Definition at line 40 of file Log.h.

## ◆ _message

std::string ffmpegkit::Log::_message
| private

Definition at line 41 of file Log.h.

## ◆ _sessionId

long ffmpegkit::Log::_sessionId
| private

Definition at line 39 of file Log.h.

The documentation for this class was generated from the following files:

- Log.h
- Log.cpp